<?php
if(!defined('INDEX')) { header('Location: ../'); exit; }
$page = 'carte';
$titre = 'Carte spatiale';

if (isset($_GET['galaxie'])) $g = floor($_GET['galaxie']);
else $g = $planete->galaxie;

if ($queryUser['auth_level'] >= 5 && $g <= 0) $g = 0;
elseif ($g < 1)  $g = 1;
if ($g > MAX_AMAS)  $g = 1;

if (isset($_GET['ss'])) $s = floor($_GET['ss']);
else  $s = $planete->ss;

if ($s < 1)  $s = 1;
if ($s > MAX_SYSTEME)  $s = MAX_SYSTEME;

if ($s == 1 && $g > 1) {
	$Gmu = $g - 1;
	$Smu = MAX_SYSTEME;
}
elseif ($s == 1) {
	$Gmu = 15;
	$Smu = MAX_SYSTEME;
}
else {
	$Gmu = $g;
	$Smu = $s - 1;
}
if ($s == MAX_SYSTEME) {
	$Gpu = $g + 1;
	$Spu = 1;
}
else {
	$Gpu = $g;
	$Spu = $s + 1;
}

//Erreur au cas où la zone soit trop lointaine par rapport au niveau de la technologie
if (($queryUser['detection'] < 1 && ($g != $planete->galaxie || $s != $planete->ss)) || ($queryUser['detection'] < 2 && $g != $planete->galaxie))
	erreur('Pour afficher cette zone de la carte spatiale, vous devez plus développer votre technologie '.nameLink(1, "technologie"));

$TEMP_carte = array();
for ($i = 1; $i <= MAX_PLANETE; $i++) {
	$bdd->connexion();
	$bdd->escape($g);
	$bdd->escape($s);
	$resultat = $bdd->query("SELECT id FROM $table_planete WHERE galaxie = $g AND ss = $s AND position = $i;");
	if($resultat) {
		$d = $bdd->unique_query("SELECT P.nom_planete, P.debris_met, P.debris_cri, U.pseudo, U.race, U.id_alliance, A.tag FROM $table_planete P INNER JOIN $table_user U ON U.id = P.id_user LEFT OUTER JOIN $table_alliances A ON A.id = U.id_alliance WHERE galaxie = $g AND ss = $s AND position = $i;");
		$bdd->deconnexion();
		if ($d['race'] == 'covenant') $ra = '(c)';
		elseif ($auth_level >= 6 && md5($d['race']) == '34c19b21bd4a3dda389e767d32fe9779') $ra = '(f)';
		else $ra = '(h)';

		$TEMP_carte[] = array($i, $d['nom_planete'], $d['debris_met'], $d['debris_cri'], $ra, $d['pseudo'], '<a href="?p=envoyer&amp;d='.$d['pseudo'].'" class="msg"><span>Message</span></a>', $d['tag']);//, $eA['tag']);
	}
	else {
		$bdd->deconnexion();
		$TEMP_carte[] = array($i);
	}
}
$template->assign('carte',$TEMP_carte);
$template->assign('position',array($g, $s, $Gpu, $Spu, $Gmu, $Smu));
?>